import request from '@/utils/request'
// 查询基础信息列表
export function listBasicInfo(query) {
  return request({
    url: '/wbbaseinfo/queryWbBaseinfoByPagination',
    method: 'get',
    params: query
  })
}

// 新增设备基本信息
export function add(data) {
  return request({
    url: '/wbbaseinfo/add',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 修改基础信息接口
export function updataInfo(data) {
  return request({
    url: '/wbbaseinfo/update',
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 角色状态修改
export function changeRoleStatus(businessId, flag) {
  const data = {
    businessId,
    flag
  }
  return request({
    url: '/system/role/changeStatus',
    method: 'put',
    params: data
  })
}

// 删除角色
export function delRole(roleId) {
  return request({
    url: '/system/role/deleteLogical/' + roleId,
    method: 'delete'
  })
}

// 导出角色
export function exportRole(query) {
  return request({
    url: '/system/role/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
